Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

HDP 2,4.2 installation on Redhat Linux is facing errorrs.Please help me with this.

HDP 2,4.2 installation on Redhat Linux is facing errorrs.Please help me with this.

installationerror.pdf ..Please check the error file attached.

1 REPLY 1
Highlighted

Re: HDP 2,4.2 installation on Redhat Linux is facing errorrs.Please help me with this.

Super Mentor

@saravanan gopalsamy

Looks like you do not have RedHat repository accessible, Please see the error:

resource_management.core.exceptions.Fail: Execution of '/usr/bin/yum -d 0
 -e 0 -y install 'hadoop_2_4_*-yarn'' returned 1. Error: Package:  hadoop_2_4_2_0_258-2.7.1.2.4.2.0-258.el6.x86_64 (HDP-2.4)
Requires: nc
You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest

Here we see that the required dependency "nc" is not resolvable which means you might be not having Red Hat Repo accessible. Please check the internet connectivity or check if you have the RedHat Settelite access?

For quick testing try to see if you are able to install "nc" package on your own on the mentioned host ?

# yum whatprovides nc
# yum install nc

.

In short please ensure the RedHat base repo is available for the required package to be installed on the cluster nodes and there is no internet connectivity issue in downloading packages from Red Hat repositories.

Don't have an account?
Coming from Hortonworks? Activate your account here